using Conda

env = :_ORCA_jl_
Conda.add_channel("plotly", env)
Conda.add("plotly-orca", env)
Conda.update(env)

open("paths.jl", "w") do f
orca_cmd = Sys.iswindows() ? joinpath(Conda.prefix(env), "orca_app", "orca.exe") : joinpath(Conda.bin_dir(env), "orca")

    # Docker creates a file /.dockerenv presence of which
    # is a indicator that the library is being called inside a container
    if isfile("/.dockerenv")
      xvfb_run=Sys.which("xvfb-run") # Find the path of xvfb-run binary
      if xvfb_run == nothing
        @warn("ORCA requires xvfb to function inside docker container")
        @info("In ubuntu install by executing apt-get install xvfb")
      else
        orca_cmd = xvfb_run * " " * orca_cmd
      end
    end

    println(f, "# This file is automatically generated by build.jl DO NOT EDIT")
    println(f, "const orca_cmd = `$(orca_cmd)`")
end
